org.apache.tinkerpop.gremlin.groovy.jsr223.customizer

## Class TimedInterruptCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.TimedInterruptCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider

  Deprecated.
  As of release 3.2.4, not replaced by a public class.

      @Deprecated
      public class TimedInterruptCustomizerProvider
      extends Object
      implements CompilerCustomizerProvider

  Injects a check in loops and other areas of code to interrupt script execution if the run time exceeds the specified time.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_INTERRUPTION_TIMEOUT` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimedInterruptCustomizerProvider()` Deprecated.
    `TimedInterruptCustomizerProvider(Integer interruptionTimeout)` Deprecated.
    `TimedInterruptCustomizerProvider(Long interruptionTimeout)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INTERRUPTION_TIMEOUT

          public static final long DEFAULT_INTERRUPTION_TIMEOUT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimedInterruptCustomizerProvider

          public TimedInterruptCustomizerProvider()

      Deprecated.

    - #### TimedInterruptCustomizerProvider

          public TimedInterruptCustomizerProvider(Long interruptionTimeout)

      Deprecated.

    - #### TimedInterruptCustomizerProvider

          public TimedInterruptCustomizerProvider(Integer interruptionTimeout)

      Deprecated.

  - ### Method Detail

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.